Flecs: ecs_bulk_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_bulk_desc_t Struct Reference
C API » Core » API types | C API » Core » Entities

Used with ecs_bulk_init(). More...

`#include <flecs.h>`

## Public Attributes
int32_t | _canary
| Used for validity testing.
ecs_entity_t * | entities
| Entities to bulk insert.
int32_t | count
| Number of entities to create/populate.
ecs_id_t | ids [(32)]
| Ids to create the entities with.
void ** | data
| Array with component data to insert.
ecs_table_t * | table
| Table to insert the entities into.

## Detailed Description

Used with ecs_bulk_init().

Definition at line 1057 of file flecs.h.

## Member Data Documentation

## ◆ _canary

int32_t ecs_bulk_desc_t::_canary

Used for validity testing.

Must be 0.

Definition at line 1058 of file flecs.h.

## ◆ count

int32_t ecs_bulk_desc_t::count

Number of entities to create/populate.

Definition at line 1065 of file flecs.h.

## ◆ data

void** ecs_bulk_desc_t::data

Array with component data to insert.

Each element in the array must correspond with an element in the ids array. If an element in the ids array is a tag, the data array must contain a NULL. An element may be set to NULL for a component, in which case the component will not be set by the operation.

Definition at line 1069 of file flecs.h.

## ◆ entities

ecs_entity_t* ecs_bulk_desc_t::entities

Entities to bulk insert.

Entity ids provided by the application must be empty (cannot have components). If no entity ids are provided, the operation will create 'count' new entities.

Definition at line 1060 of file flecs.h.

## ◆ ids

ecs_id_t ecs_bulk_desc_t::ids[(32)]

Ids to create the entities with.

Definition at line 1067 of file flecs.h.

## ◆ table

ecs_table_t* ecs_bulk_desc_t::table

Table to insert the entities into.

Should not be set at the same time as ids. When 'table' is set at the same time as 'data', the elements in the data array must correspond with the ids in the table's type.

Definition at line 1076 of file flecs.h.

The documentation for this struct was generated from the following file:

- include/flecs.h